GIT-MV(1)

NAME
git-mv - Move or rename a file, a directory, or a symlink

SYNOPSIS

git mv <options>... <args>...

DESCRIPTION

This script is used to move or rename a file, directory or symlink.

    git mv [-f] [-n] <source> <destination>
    git mv [-f] [-n] [-k] <source> ... <destination directory>

In the first form, it renames <source>, which must exist and be either a file, symlink or directory, to <destination>. In the second form, the last argument has to be an existing directory; the given sources will be moved into this directory.

The index is updated after successful completion, but the change must still be committed.

OPTIONS

-f
    Force renaming or moving of a file even if the target exists

-k
    Skip move or rename actions which would lead to an error condition. An error happens when a source is neither existing nor controlled by GIT, or when it would overwrite an existing file unless -f is given.

-n, --dry-run
    Do nothing; only show what would happen

AUTHOR

Written by Linus Torvalds <torvalds@osdl.org[1]> Rewritten by Ryan Anderson <ryan@michonline.com[2]> Move functionality added by Josef Weidendorfer <Josef.Weidendorfer@gmx.de[3]>

DOCUMENTATION

Documentation by David Greaves, Junio C Hamano and the git-list <git@vger.kernel.org[4]>.

GIT

Part of the git(1) suite

NOTES

1.  torvalds@osdl.org
    mailto:torvalds@osdl.org

2.  ryan@michonline.com
    mailto:ryan@michonline.com

3.  Josef.Weidendorfer@gmx.de
    mailto:Josef.Weidendorfer@gmx.de

4.  git@vger.kernel.org
    mailto:git@vger.kernel.org